#ifndef LIBSARIA_IDLE_COMPONENT_H
#define LIBSARIA_IDLE_COMPONENT_H

#include <queue>
using namespace std;

#include <libsaria/idle.h>

class Idle
{
	private:
		deque<IdleTask*> idle_queue;

	public:
		Idle();
		~Idle();

		int run_task();
		int queue_task(IdleTask *, bool);
};

#endif /* LIBSARIA_IDLE_COMPONENT_H */
